<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <h3 class="box-title">Rent Memos</h3>
        <hr>
        <div class="row">
          <div class="col-sm-2">
            <div class="form-group">
              <label for="memoCode">Memo Code</label>
              <input id="memoCode"
                     name="memoCode"
                     class="form-control"
                     [(ngModel)]="memoCode">
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group" style="margin-top: 27px">
              <button class=" btn btn-success" (click)="searchData()">
                <i class="pi pi-filter"></i>
                Search
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-table id="exportTable"
                 class="text-center"
                 [columns]="columnName"
                 [value]="(data$)"
                 [(selection)]="selectedItems"
                 [resizableColumns]="true"
                 [autoLayout]="true">

          <ng-template pTemplate="caption">
            List of Rent memos
            :&nbsp;{{ totalRecords }}
            <button class="btn btn-info btn-xs fa-pull-right"
                    (click)="downloadExcel()">
              <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
              <i class="pi pi-file-excel" style="font-size: 1em;"></i>
              Download
            </button>
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{ i + 1 + itemsPerPage * page }}</td>
              <td>{{list.memoCode}}</td>
              <td>{{list.subject}}</td>
              <!--              <td style="overflow-wrap: anywhere">{{list.description}}</td>-->
              <td>{{list.currentBillPaymentStatus }}</td>
              <td>{{list.memoDate | date:'MMM d, y, h:mm:ss a'}}</td>
              <td>{{list.fiscalYear}}</td>
              <td>{{list.billAmount | currency: 'NPR. '}}</td>
              <td>
                <button [routerLink]="['/pre-approval', list.id, 'BILL_PAYMENT']"
                        class="btn btn-success btn-xs mr-2">
                  <i class="pi pi-eye" style="font-size: 1rem"></i>
                </button>
              </td>
            </tr>
          </ng-template>
        </p-table>
        <p-paginator
          [rows]="itemsPerPage"
          [totalRecords]="totalRecords"
          pageLinkSize="3"
          [rowsPerPageOptions]="rowsPerPageOptions"
          (onPageChange)="paginate($event)">
        </p-paginator>
        <!-- /.row -->
      </div>
      <!-- ./box-body -->
      <div class="box-footer">
        <!-- /.row -->
      </div>
      <!-- /.box-footer -->
    </div>
    <!-- /.box -->
  </div>
  <!-- /.col -->
</div>

